# List asset revisions

Launch stage: Beta

`GET /api/2.0/clean-rooms/{clean_room_name}/assets/{asset_type}/{name}/revisions`

List revisions for an asset

API scopes: cleanrooms

## Path parameters

- `clean_room_name` (string, required)
  Name of the clean room.
- `asset_type` (string, required)
  Asset type. Only NOTEBOOK_FILE is supported.
  Possible values:
  - `ASSET_TYPE_UNSPECIFIED`
  - `TABLE`
  - `NOTEBOOK_FILE`
  - `VOLUME`
  - `VIEW`
  - `FOREIGN_TABLE`
  - `JAR_ANALYSIS`
- `name` (string, required)
  Name of the asset.

## Query parameters

- `page_size` (int32, optional)
  Maximum number of asset revisions to return. Defaults to 10.
- `page_token` (string, optional)
  Opaque pagination token to go to next page based on the previous query.

## Returns

Returns a list of CleanRoomAsset objects.

## Response

```json
{
  "revisions": [
    {
      "clean_room_name": "test-clean-room1",
      "name": "creator.sales.products",
      "asset_type": "TABLE",
      "added_at": 1716424663321,
      "status": "ACTIVE",
      "owner_collaborator_alias": "creator",
      "table_local_details": {},
      "volume_local_details": {},
      "view_local_details": {},
      "foreign_table_local_details": {},
      "table": {},
      "notebook": {},
      "view": {},
      "foreign_table": {},
      "jar_analysis": {}
    }
  ],
  "next_page_token": "string"
}
```

